<?php

function rbypr_loadPostArticle() {
    $getdefval = unserialize(get_option('rbypr_default'));
    $timeinterval = $getdefval['timer'];
    $totalpost = $getdefval['totalpost'];
    $alignment = $getdefval['alignment'];
    $isHomeDisplay = $getdefval['isHomeDisplay'];
    $default_img_path = $getdefval['default_img_path'];
    
    require_once( RBYPR__PLUGIN_DIR . '/includes/rbyrotation.php' );
    ?>
    <div id="rby-tbl-next-up" class="rby-tbl-next-up rby-tbl-next-up-position-left rby-tbl-next-up-mobile-position-bottom in-viewport" style="display: none">
        <div id="" class="tbl-nup-overlay-container">
            <div class="tbl-nup-overlay-top tbl-nup-overlay-horizontal"></div>
            <div class="tbl-nup-overlay-right tbl-nup-overlay-vertical"></div>
            <div class="tbl-nup-overlay-bottom tbl-nup-overlay-horizontal"></div>
            <div class="tbl-nup-overlay-left tbl-nup-overlay-vertical"></div>
        </div>
        <div id="rby-tbl-next-up-inner" class="rby-tbl-next-up-inner">
            <div class="trc_related_container trc_spotlight_widget trc_elastic trc_elastic_blend-next-up-a" data-placement-name="Next Up" observeid="tbl-observe-0">
                <div class="trc_rbox_container">
                    <div id="trc_wrapper" class="trc_rbox blend-next-up-a trc-content-hybrid" style="overflow: hidden; display: block;">
                        <div id="trc_header" class="trc_rbox_header trc_rbox_border_elm">
                            <div class="trc_header_ext"></div>
                            <span class="trc_rbox_header_span"></span>
                        </div>
                        <div id="outer" class="trc_rbox_outer">
                            <div id="" class="trc_rbox_div trc_rbox_border_elm">
                                <div id="rbypostrotation">
                                    <?php
                                    // Define our WP Query Parameters
                                    $the_query = new WP_Query('posts_per_page=' . $totalpost);
                                    ?>								  

                                    <?php
                                    // Start our WP Query
                                    $did = 1;
                                    while ($the_query->have_posts()) : $the_query->the_post();
                                        // Display the Post Title with Hyperlink
                                        $featured_img_url = get_the_post_thumbnail_url(get_the_ID(), 'full');

                                        if ($did == 1) {
                                            $extrcls = " rby-tbl-next-up-show-item ";
                                            $extStyle = "z-index : 100";
                                        } else {
                                            $extrcls = '';
                                            $extStyle = '';
                                        }
                                        if(empty($featured_img_url)) {
											  $the_content = get_post(get_the_ID());											  
											  $first_img = '';
											  ob_start();
											  ob_end_clean();
											  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $the_content->post_content, $matches);
											  $featured_img_url = $matches [1] [0];

										}
										if(empty($featured_img_url) && !empty($default_img_path)) {
											$featured_img_url = $default_img_path;
										}
                                        ?>

                                        <div id="<?php echo 'rby-post-' . $did; ?>" class="rbyCube trc_spotlight_item origin-default thumbnail_start textItem  trc-first-recommendation trc-spotlight-first-recommendation rby-tbl-next-up-widget-item <?php echo $extrcls; ?> " style="<?php echo $extStyle; ?>">
                                           <?php if(!empty($featured_img_url)){ ?>
                                            <a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" target="_parent" class="item-thumbnail-href">
                                                <div class="thumbBlock_holder">
                                                    <span class="thumbBlock" style="background-image: url('<?php echo esc_url($featured_img_url) ?>');"></span>
                                                </div>
                                            </a>
                                           <?php } ?> 
                                            <a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" target="_parent" class="item-label-href">
                                                <span class="video-label-box trc-main-label">
                                                    <span class="video-label video-title trc_ellipsis"><?php the_title(); ?></span>
                                                    <div id="read-next" class="tbl-read-next-btn"> Read Next Story ></div>
                                                </span>
                                            </a>
                                        </div> 
                                        <?php
                                        $did++;
                                    // Repeat the process and reset once it hits the limit
                                    endwhile;
                                    wp_reset_postdata();
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="trc_clearer"></div>
                    </div>
                </div>
            </div>
        </div>
        <div id="read_more_close" class="rby-tbl-next-up-closeBtn-wrapper">
            <div class="rby-tbl-next-up-closeBtn">X</div>
        </div>
    </div>
<?php
}
function init()  {
    $isHomeDisplay = unserialize(get_option('rbypr_default'))['isHomeDisplay'];
    if((is_front_page() || is_home()) && $isHomeDisplay == 'no'){
       // add_action('wp_footer', 'rbypr_loadPostArticle', 50);
    } else {
        add_action('wp_footer', 'rbypr_loadPostArticle', 50);
    }
}
add_action( 'wp', 'init' );

?>